## EomWindow

EomWindow

## Functions

GtkWidget * | eom_window_new ()
EomWindowMode | eom_window_get_mode ()
void | eom_window_set_mode ()
GtkUIManager * | eom_window_get_ui_manager ()
EomListStore * | eom_window_get_store ()
GtkWidget * | eom_window_get_view ()
GtkWidget * | eom_window_get_sidebar ()
GtkWidget * | eom_window_get_thumb_view ()
GtkWidget * | eom_window_get_thumb_nav ()
GtkWidget * | eom_window_get_statusbar ()
EomImage * | eom_window_get_image ()
void | eom_window_open_file_list ()
gboolean | eom_window_is_empty ()
void | eom_window_reload_image ()

## Properties

EomWindowCollectionPos | collection-position | Read / Write
gboolean | collection-resizable | Read / Write
EomStartupFlags | startup-flags | Read / Write / Construct Only

## Signals

void | prepared | Run Last

## Types and Values

#define | EOM_WINDOW_ERROR
enum | EomWindowMode
enum | EomWindowError
enum | EomStartupFlags
struct | EomWindow

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkApplicationWindow
                                ╰── EomWindow

## Implemented Interfaces

EomWindow implements AtkImplementorIface, GtkBuildable, GActionGroup and GActionMap.

## Description

## Functions

### eom_window_new ()

    GtkWidget *
    eom_window_new (EomStartupFlags flags);

Creates a new and empty EomWindow. Use `flags` to indicate if the window should be initialized fullscreen, in slideshow mode, and/or without the thumbnails collection visible. See EomStartupFlags.

#### Parameters

flags | the initialization parameters for the new window. |

#### Returns

a newly created EomWindow.

### eom_window_get_mode ()

    EomWindowMode
    eom_window_get_mode (EomWindow *window);

Gets the mode of `window` . See EomWindowMode for details.

#### Parameters

window | An EomWindow. |

#### Returns

An EomWindowMode.

### eom_window_set_mode ()

    void
    eom_window_set_mode (EomWindow *window,
                         EomWindowMode mode);

Changes the mode of `window` to normal, fullscreen, or slideshow. See EomWindowMode for details.

#### Parameters

window | an EomWindow. |
mode | an EomWindowMode value. |

### eom_window_get_ui_manager ()

    GtkUIManager *
    eom_window_get_ui_manager (EomWindow *window);

Gets the GtkUIManager that describes the UI of `window` .

#### Parameters

window | An EomWindow. |

#### Returns

A GtkUIManager.

[transfer none]

### eom_window_get_store ()

    EomListStore *
    eom_window_get_store (EomWindow *window);

Gets the EomListStore that contains the images in the collection of `window` .

#### Parameters

window | An EomWindow. |

#### Returns

an EomListStore.

[transfer none]

### eom_window_get_view ()

    GtkWidget *
    eom_window_get_view (EomWindow *window);

Gets the EomScrollView in the window.

#### Parameters

window | An EomWindow. |

#### Returns

the EomScrollView.

[transfer none]

### eom_window_get_sidebar ()

    GtkWidget *
    eom_window_get_sidebar (EomWindow *window);

Gets the sidebar widget of `window` .

#### Parameters

window | An EomWindow. |

#### Returns

the EomSidebar.

[transfer none]

### eom_window_get_thumb_view ()

    GtkWidget *
    eom_window_get_thumb_view (EomWindow *window);

Gets the thumbnails view in `window` .

#### Parameters

window | an EomWindow. |

#### Returns

an EomThumbView.

[transfer none]

### eom_window_get_thumb_nav ()

    GtkWidget *
    eom_window_get_thumb_nav (EomWindow *window);

Gets the thumbnails navigation pane in `window` .

#### Parameters

window | an EomWindow. |

#### Returns

an EomThumbNav.

[transfer none]

### eom_window_get_statusbar ()

    GtkWidget *
    eom_window_get_statusbar (EomWindow *window);

Gets the statusbar in `window` .

#### Parameters

window | an EomWindow. |

#### Returns

a EomStatusBar.

[transfer none]

### eom_window_get_image ()

    EomImage *
    eom_window_get_image (EomWindow *window);

Gets the image currently displayed in `window` or `NULL` if no image is being displayed.

#### Parameters

window | an EomWindow. |

#### Returns

an EomImage.

[transfer none]

### eom_window_open_file_list ()

    void
    eom_window_open_file_list (EomWindow *window,
                               GSList *file_list);

Opens a list of files, adding them to the collection in `window` . Files will be checked to be readable and later filtered according with `eom_list_store_add_files()`.

#### Parameters

window | An EomWindow. |
file_list | A `NULL`-terminated list of GFile's. | [element-type GFile]

### eom_window_is_empty ()

    gboolean
    eom_window_is_empty (EomWindow *window);

Tells whether `window` is currently empty or not.

#### Parameters

window | an EomWindow. |

#### Returns

`TRUE` if `window` has no images, `FALSE` otherwise.

### eom_window_reload_image ()

    void
    eom_window_reload_image (EomWindow *window);

## Types and Values

### EOM_WINDOW_ERROR

    #define EOM_WINDOW_ERROR           (eom_window_error_quark ())

### enum EomWindowMode

#### Members

EOM_WINDOW_MODE_UNKNOWN |  |
EOM_WINDOW_MODE_NORMAL |  |
EOM_WINDOW_MODE_FULLSCREEN |  |
EOM_WINDOW_MODE_SLIDESHOW |  |

### enum EomWindowError

#### Members

EOM_WINDOW_ERROR_CONTROL_NOT_FOUND |  |
EOM_WINDOW_ERROR_UI_NOT_FOUND |  |
EOM_WINDOW_ERROR_NO_PERSIST_FILE_INTERFACE |  |
EOM_WINDOW_ERROR_IO |  |
EOM_WINDOW_ERROR_TRASH_NOT_FOUND |  |
EOM_WINDOW_ERROR_GENERIC |  |
EOM_WINDOW_ERROR_UNKNOWN |  |

### enum EomStartupFlags

#### Members

EOM_STARTUP_FULLSCREEN |  |
EOM_STARTUP_SLIDE_SHOW |  |
EOM_STARTUP_DISABLE_COLLECTION |  |

### struct EomWindow

    struct EomWindow;

## Property Details

### The `“collection-position”` property

      “collection-position”      EomWindowCollectionPos

Determines the position of the image collection in the window relative to the image.

Flags: Read / Write

Default value: EOM_WINDOW_COLLECTION_POS_BOTTOM

### The `“collection-resizable”` property

      “collection-resizable”     gboolean

If `TRUE` the collection will be resizable by the user otherwise it will be in single column/row mode.

Flags: Read / Write

Default value: FALSE

### The `“startup-flags”` property

      “startup-flags”            EomStartupFlags

A bitwise OR of EomStartupFlags elements, indicating how the window should behave upon creation.

Flags: Read / Write / Construct Only

## Signal Details

### The `“prepared”` signal

    void
    user_function (EomWindow *window,
                   gpointer   user_data)

The “prepared” signal is emitted when the `window` is ready to be shown.

#### Parameters

window | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last